解决:升级 node 到最新版本后,导致 node-sass 安装失败

作者:赵金添 分类: 发布于:2017-10-15 17:24 ė11180次浏览 60条评论
原因:
为了让 node 尽量支持 ES6/7/8,升级 node 到最新版本,导致 node-sass 一直安装失败。

解决方法:
尝试方法一:
npm install --save-dev node-sass --registry=https://registry.npm.taobao.org --disturl=https://npm.taobao.org/dist --sass-binary-site=http://npm.taobao.org/mirrors/node-sass
--registry=https://registry.npm.taobao.org 淘宝npm包镜像
--disturl=https://npm.taobao.org/dist 淘宝node源码镜像,一些二进制包编译时用
--sass-binary-site=http://npm.taobao.org/mirrors/node-sass 这个才是node-sass镜像

尝试方法二:
npm install node-sass@latest

尝试方法三:
cnpm install node-sass@latest


参考:
https://segmentfault.com/q/1010000006098542/a-1020000006099451

本文出自 赵金添的前端博客@福州软件外包公司,转载时请注明出处及相应链接。

0
分享本文至:

发表评论

电子邮件地址不会被公开。必填项已用*标注


Ɣ回顶部